curl --request GET \
--url https://api.example.com/organizations/{organizationId}/vouchers \
--header 'Authorization: <authorization>'{
"data": [
{
"voucherId": "019525fd-e4b8-7cb0-b8d4-0e2f4a6c8d0a",
"organizationId": "019525fd-4c38-7e30-a5c1-b6e3f4d8a9c2",
"externalRef": "vo_stripe_abc",
"name": "Welcome Credit",
"amount": 10000,
"currency": "BRL",
"effectiveAt": "2026-01-01T00:00:00.000Z",
"expiresAt": "2026-12-31T23:59:59.000Z",
"amountRedeemed": 2500,
"status": "ACTIVE",
"createdBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
],
"meta": {
"page": 1,
"limit": 10,
"totalItems": 2,
"totalPages": 1
}
}
Obter todos os vouchers (saldos de credito) da organizacao com paginacao baseada em paginas e filtro opcional por status.
curl --request GET \
--url https://api.example.com/organizations/{organizationId}/vouchers \
--header 'Authorization: <authorization>'{
"data": [
{
"voucherId": "019525fd-e4b8-7cb0-b8d4-0e2f4a6c8d0a",
"organizationId": "019525fd-4c38-7e30-a5c1-b6e3f4d8a9c2",
"externalRef": "vo_stripe_abc",
"name": "Welcome Credit",
"amount": 10000,
"currency": "BRL",
"effectiveAt": "2026-01-01T00:00:00.000Z",
"expiresAt": "2026-12-31T23:59:59.000Z",
"amountRedeemed": 2500,
"status": "ACTIVE",
"createdBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
],
"meta": {
"page": 1,
"limit": 10,
"totalItems": 2,
"totalPages": 1
}
}
curl "https://api.awsales.io/studio/organizations/ORG_ID/vouchers?page=1&limit=20" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
voucher:read.{
"data": [
{
"voucherId": "019525fd-e4b8-7cb0-b8d4-0e2f4a6c8d0a",
"organizationId": "019525fd-4c38-7e30-a5c1-b6e3f4d8a9c2",
"externalRef": "vo_stripe_abc",
"name": "Welcome Credit",
"amount": 10000,
"currency": "BRL",
"effectiveAt": "2026-01-01T00:00:00.000Z",
"expiresAt": "2026-12-31T23:59:59.000Z",
"amountRedeemed": 2500,
"status": "ACTIVE",
"createdBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
],
"meta": {
"page": 1,
"limit": 10,
"totalItems": 2,
"totalPages": 1
}
}
10000 = R$100,00).| Status | Codigo | Descricao |
|---|---|---|
400 | validation_error | Entrada invalida ou campos obrigatorios ausentes |
401 | unauthorized | Autenticacao ausente ou invalida |
403 | forbidden | Permissoes insuficientes |
404 | organization.not_found | Organizacao nao encontrada |
500 | internal_server_error | Ocorreu um erro inesperado |